<template>
  <div class="checkResult_hash">
    <div class="checkResult_hash-revealed details-info flex flex-middle">
      <div class="info-mockup medium">
        α
      </div>
      <div class="details-info-description">
        <div class="title">{{$t('bets.revealedHash')}}</div>
        <div class="hash long color-white">{{details.house_seed}}</div>
      </div>
      <div>
        <img
          src="~/static/icons/copy.png"
          @click="copy(details.house_seed)"
          class="icon"
          alt="">
      </div>
    </div>
  </div>
</template>

<script>
  import copyClipboard from '~/components/utils/copy';

  export default {
    name: "Bash",
    computed: {
      details() {
        return this.$store.state.gameDetails.details;
      }
    },
    methods: {
      copy(text) {
        this.ga('copy', true);
        copyClipboard(text, this.$t('common.copied'))
      }
    }
  }
</script>
<style lang="scss" scoped>
@import '~/assets/styles/variables.scss';
@import '~/assets/styles/colorVariables.scss';
.checkResult_hash {
  .icon {
    max-width: 16px;
    max-height: 16px;
  }
  &-sha {
    padding: $paddingMini;
    .title {
      font-size: 16px;
      margin-bottom: 5px;
    }
    .hash {
      word-break: break-all;
      font-size: 16px;
      padding-right: $paddingLarge * 2;
    }
  }
  &-revealed {
    background-color: #222B3E;
    padding: 19px;
    .title {
      font-size: 12px;
    }
    .hash {
      font-size: 12px;
      text-overflow: ellipsis;
      overflow: hidden;
    }
    .details {
      &-info {
        &-description {
          white-space: nowrap;
          overflow: hidden;
          padding: 0px $paddingDefault;
          word-break: break-all;
          .title {
            margin-bottom: $marginMini / 2;
          }
        }
      }
    }
  }
}
</style>
